import { TYPE as e } from "../constants.js";
//#region ../../node_modules/khroma/dist/channels/type.js
var t = class {
	constructor() {
		this.type = e.ALL;
	}
	get() {
		return this.type;
	}
	set(e) {
		if (this.type && this.type !== e) throw Error("Cannot change both RGB and HSL channels at the same time");
		this.type = e;
	}
	reset() {
		this.type = e.ALL;
	}
	is(e) {
		return this.type === e;
	}
};
//#endregion
export { t as default };
